package com.muyu.marketing.team.controller;

import com.dtflys.forest.annotation.Post;
import com.muyu.common.core.domain.Result;
import com.muyu.marketing.domain.model.ActivityTeamOpenInfoAddModel;
import com.muyu.marketing.domain.req.ActivityTeamOpenInfoAdReq;
import com.muyu.marketing.team.service.ActivityTeamOpenInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 营销团购活动策略类型控制层
 *
 * @author CuiFu Bo
 * @create 2024-12-01 20:32
 **/

@RestController
@RequestMapping("/open")
public class ActivityTeamOpenInfoController {
    @Autowired
    private ActivityTeamOpenInfoService activityTeamOpenInfoService;
    @PostMapping("/install")
    public Result<String> save(ActivityTeamOpenInfoAdReq activityTeamOpenInfoAdReq){
        activityTeamOpenInfoService.save(ActivityTeamOpenInfoAddModel.addOpenBuild(activityTeamOpenInfoAdReq));
        return Result.success();
    }
}
